ModernLoop Internal API
Apipylon

List Pylon custom field definitions (GET /custom-fields)

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/pylon/custom-fields?object_type=account" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": [    {      "id": "string",      "slug": "string",      "label": "string",      "description": "string",      "type": "string",      "object_type": "string",      "source": "string",      "is_read_only": true,      "default_value": "string",      "default_values": [        "string"      ],      "created_at": "string",      "updated_at": "string",      "number_metadata": {        "currency": "string",        "decimal_places": 0,        "duration_display_format": "string",        "duration_input_unit": "string",        "format": "string"      },      "select_metadata": {        "options": [          {            "label": "string",            "slug": "string"          }        ]      }    }  ],  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Page size (Pylon default 100, max 1000 where supported)

Range1 <= value <= 1000
cursor?string

Pagination cursor for the next page

object_type*string

Object type for custom fields (required by Pylon)

Value in

  • "account"
  • "issue"
  • "contact"
  • "task"
  • "project"
  • "meeting"
  • "opportunity"

Response Body

application/json

application/json

application/json

application/json

application/json